Package org.eclipse.birt.core.data

# Class OlapExpressionCompiler

java.lang.Object
org.eclipse.birt.core.data.OlapExpressionCompiler

public class OlapExpressionCompiler extends Object

## Constructor Summary

Constructors
Constructor
Description
`OlapExpressionCompiler()`

## Method Summary

Modifier and Type
Method
Description
`static Set<IDimLevel>`
`getReferencedDimLevel(String expr)`
`static Set<String>`
`getReferencedMeasure(String expr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OlapExpressionCompiler

public OlapExpressionCompiler()

## Method Details

### getReferencedMeasure

public static Set<String> getReferencedMeasure(String expr)

Parameters:
  `expr` -
  `objectName` -
Returns:

### getReferencedDimLevel

public static Set<IDimLevel> getReferencedDimLevel(String expr) throws CoreException

Parameters:
  `expr` -
  `bindings` -
  `onlyFromDirectReferenceExpr` -
Returns: